@mixin row-grid() {
  display: grid;
  grid-template-columns: 3rem auto 3rem 3rem;
  grid-template-areas: 'number member action-1 action-2';
  align-items: center;
}

@mixin form-grid() {
  @include row-grid();

  > .member-form {
    grid-area: member;
    display: grid;
    grid-template-columns: 1fr;
    gap: 0 1rem;
    align-items: center;
    width: 100%;

    &.manual {
      grid-template-columns: repeat(4, 1fr);

      .mat-form-field {
        width: auto;
      }
    }
  }
}

@mixin form-grid-small() {
  > .member-form {
    &.manual {
      grid-template-columns: 1fr;

      .mat-form-field {
        width: 100%;
      }
    }
  }
}
